/* global registerBackward, BackwardUtility */

registerBackward('1.5.0', 'HomeSlider', function (control) {
    'use strict';

    if (control.navigator.constructorName === 'Carousel') {
        var carousel = BackwardUtility.getControlObject('SliderCarousel');
        carousel.carousel = control.navigator;
        control.navigator = carousel;
    }

    return control;
});